Bug 1202470 - Review Request: validator-htmlparser - An implementation of the HTML5 parsing algorithm in Java
Summary: Review Request: validator-htmlparser - An implementation of the HTML5 parsing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antti Järvinen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 17:11 UTC by gil cattaneo
Modified: 2016-11-19 21:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:09:52 UTC
Type: ---
antti.jarvinen: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2015-03-16 17:11:46 UTC
Spec URL: https://gil.fedorapeople.org/nu-htmlparser.spec
SRPM URL: https://gil.fedorapeople.org/nu-htmlparser-1.4-1.fc20.src.rpm
Description:
The Validator.nu HTML Parser is an implementation of the
HTML5 parsing algorithm in Java for applications. The
parser is designed to work as a drop-in replacement for the
XML parser in applications that already support XHTML 1.x
content with an XML parser and use SAX, DOM or XOM to interface
with the parser.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9244427

Comment 1 gil cattaneo 2015-03-16 18:47:36 UTC
Only for test suite is required https://bugzilla.redhat.com/show_bug.cgi?id=1202504

Comment 3 gil cattaneo 2015-03-29 02:45:11 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9358508

Comment 4 Antti Järvinen 2015-03-29 17:20:12 UTC
Hello Gil,

I don't have permission to submit your package further but I made a review anyway. For most part this looks good but I have a few items and questions 
and one part I did not understand:

 - there are files with multiple licenses, this is documented in comments
   of the spec file but I'm not sure if it is correct to document this 
   in comments ; on the other hand I don't know the correct way in this case.
   The actual License: part in spec looks ok to me, according to
   https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing.
 - In section "Maven" there is a requirement stating

  [?]: If package contains pom.xml files install it (including depmaps) even
       when building with ant

   and now I wasn't sure if this is about building the package itself
   (no maven nor ant is used in process, it seems) or about usage of the
   installed pom file (there seems to be a pom-file). I did not try using the
   pom file with ant so this is a question mark to me. 
 - %check section is missing, comments in spec indicate that this is on purpose.
 - Source0: points to github but there seems to be nothing in given URL?
 + there were no rpmlint messages, contrary to what is indicated below. 

Please find full report below,

--
Antti

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Public domain", "Unknown or generated", "MIT/X11 (BSD like)", "*No
     copyright* Public domain", "LGPL (v3 or later)", "BSD (3 clause)", "MPL
     (v1.1) GPL (unversioned/unknown version)". 12 files have unknown license.
     Detailed output of licensecheck in /tmp/review-1202470/1202470-validator-
     htmlparser/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
     Question: is there specific format for this ; now the breakdown
     is in comments, I think this is ok..?
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[!]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
     Note: can not verify as the github-URL given in Source0:
     points to 404 page
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[?]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in validator-
     htmlparser-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
    Note: kind of, as Source0: points to 404. URL: in spec in turn
    points to proper web page and according to that this release (1.4)
    is the latest.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     Note: this is documented in spec: tests are disabled on purpose. 
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
  Note: a shell script
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: validator-htmlparser-1.4-1.fc21.noarch.rpm
          validator-htmlparser-javadoc-1.4-1.fc21.noarch.rpm
          validator-htmlparser-1.4-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
validator-htmlparser-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

validator-htmlparser (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.javaparser:javaparser)
    mvn(com.ibm.icu:icu4j)
    mvn(net.sourceforge.jchardet:jchardet)
    mvn(xom:xom)



Provides
--------
validator-htmlparser-javadoc:
    validator-htmlparser-javadoc

validator-htmlparser:
    mvn(nu.validator.htmlparser:htmlparser)
    mvn(nu.validator.htmlparser:htmlparser:pom:)
    mvn(nu.validator.htmlparser:translator)
    mvn(nu.validator.htmlparser:translator:pom:)
    osgi(nu.validator.htmlparser)
    validator-htmlparser

Comment 5 gil cattaneo 2015-03-30 03:18:55 UTC
(In reply to Antti Järvinen from comment #4)
> Hello Gil,
> 
> I don't have permission to submit your package further but I made a review
> anyway. For most part this looks good but I have a few items and questions 
> and one part I did not understand:
> 
>  - there are files with multiple licenses, this is documented in comments
>    of the spec file but I'm not sure if it is correct to document this 
>    in comments ; on the other hand I don't know the correct way in this case.
>    The actual License: part in spec looks ok to me, according to
>    https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing.
>  - In section "Maven" there is a requirement stating
> 
>   [?]: If package contains pom.xml files install it (including depmaps) even
>        when building with ant
already done, see Provides
>    and now I wasn't sure if this is about building the package itself
>    (no maven nor ant is used in process, it seems) or about usage of the
>    installed pom file (there seems to be a pom-file). I did not try using the
>    pom file with ant so this is a question mark to me.
which pom? are all installed and an depmap is provided
contact mizdebsk in fedora-java irc channel, him can explain better then me
>  - %check section is missing, comments in spec indicate that this is on
> purpose.
with maven is different, the tests are performed during the construction phase
if there are all requested dependencies
>  - Source0: points to github but there seems to be nothing in given URL?

i don't understand, if you run wget can download the source tarball ...

Comment 6 Antti Järvinen 2015-03-30 05:34:02 UTC
Gil Cattaneo wrote:
>>  - Source0: points to github but there seems to be nothing in given URL?
>
>i don't understand, if you run wget can download the source tarball ...

Exactly:

-bash-4.3$ grep -E 'Version|Source0' srpm/validator-htmlparser.spec 
Version:       1.4
Source0:       https://github.com/validator/htmlparser/archive/RELEASE_%{_version}.tar.gz
-bash-4.3$ wget https://github.com/validator/htmlparser/archive/RELEASE_1.4.tar.gz
--2015-03-30 05:31:48--  https://github.com/validator/htmlparser/archive/RELEASE_1.4.tar.gz
Resolving github.com (github.com)... 192.30.252.130
Connecting to github.com (github.com)|192.30.252.130|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://codeload.github.com/validator/htmlparser/tar.gz/RELEASE_1.4 [following]
--2015-03-30 05:31:49--  https://codeload.github.com/validator/htmlparser/tar.gz/RELEASE_1.4
Resolving codeload.github.com (codeload.github.com)... 192.30.252.147
Connecting to codeload.github.com (codeload.github.com)|192.30.252.147|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2015-03-30 05:31:50 ERROR 404: Not Found.

--
Antti

Comment 7 gil cattaneo 2015-03-30 05:42:34 UTC
(In reply to Antti Järvinen from comment #6)
> Gil Cattaneo wrote:
> >>  - Source0: points to github but there seems to be nothing in given URL?
> >
> >i don't understand, if you run wget can download the source tarball ...
> 
> Exactly:
> 
> -bash-4.3$ grep -E 'Version|Source0' srpm/validator-htmlparser.spec 
> Version:       1.4
> Source0:      
> https://github.com/validator/htmlparser/archive/RELEASE_%{_version}.tar.gz
> -bash-4.3$ wget
> https://github.com/validator/htmlparser/archive/RELEASE_1.4.tar.gz
> --2015-03-30 05:31:48-- 
> https://github.com/validator/htmlparser/archive/RELEASE_1.4.tar.gz
> Resolving github.com (github.com)... 192.30.252.130
> Connecting to github.com (github.com)|192.30.252.130|:443... connected.
> HTTP request sent, awaiting response... 302 Found
> Location:
> https://codeload.github.com/validator/htmlparser/tar.gz/RELEASE_1.4
> [following]
> --2015-03-30 05:31:49-- 
> https://codeload.github.com/validator/htmlparser/tar.gz/RELEASE_1.4
> Resolving codeload.github.com (codeload.github.com)... 192.30.252.147
> Connecting to codeload.github.com
> (codeload.github.com)|192.30.252.147|:443... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2015-03-30 05:31:50 ERROR 404: Not Found.
> 
> --
> Antti

I still do not understand ...

wget https://github.com/validator/htmlparser/archive/RELEASE_1_4.tar.gz
--2015-03-30 07:39:55--  https://github.com/validator/htmlparser/archive/RELEASE_1_4.tar.gz
Risoluzione di github.com (github.com)... 192.30.252.128
Connessione a github.com (github.com)|192.30.252.128|:443... connesso.
Richiesta HTTP inviata, in attesa di risposta... 302 Found
Posizione: https://codeload.github.com/validator/htmlparser/tar.gz/RELEASE_1_4 [segue]
--2015-03-30 07:39:56--  https://codeload.github.com/validator/htmlparser/tar.gz/RELEASE_1_4
Risoluzione di codeload.github.com (codeload.github.com)... 192.30.252.145
Connessione a codeload.github.com (codeload.github.com)|192.30.252.145|:443... connesso.
Richiesta HTTP inviata, in attesa di risposta... 200 OK
Lunghezza: non specificato [application/x-gzip]
Salvataggio in: "RELEASE_1_4.tar.gz"

RELEASE_1_4.tar.gz                 [     <=>                                            ] 312,00K   321KB/s   in 1,0s   

2015-03-30 07:39:58 (321 KB/s) - "RELEASE_1_4.tar.gz" salvato [319490]


but i changed Source0 with https://hg.mozilla.org/projects/htmlparser/archive/42d7aef60138.tar.gz

wget https://hg.mozilla.org/projects/htmlparser/archive/42d7aef60138.tar.gz
--2015-03-30 07:42:18--  https://hg.mozilla.org/projects/htmlparser/archive/42d7aef60138.tar.gz
Risoluzione di hg.mozilla.org (hg.mozilla.org)... 63.245.215.102, 63.245.215.25
Connessione a hg.mozilla.org (hg.mozilla.org)|63.245.215.102|:443... connesso.
Richiesta HTTP inviata, in attesa di risposta... 200 Script output follows
Lunghezza: non specificato [application/x-gzip]
Salvataggio in: "42d7aef60138.tar.gz"

42d7aef60138.tar.gz                [      <=>                                           ] 303,58K   251KB/s   in 1,2s   

2015-03-30 07:42:20 (251 KB/s) - "42d7aef60138.tar.gz" salvato [310871]

Comment 8 gil cattaneo 2015-03-30 05:46:22 UTC
(In reply to gil cattaneo from comment #7)
> (In reply to Antti Järvinen from comment #6)
> > Gil Cattaneo wrote:
> > >>  - Source0: points to github but there seems to be nothing in given URL?
> > >
> > >i don't understand, if you run wget can download the source tarball ...
> > 
> > Exactly:
> > 
> > -bash-4.3$ grep -E 'Version|Source0' srpm/validator-htmlparser.spec 
> > Version:       1.4
> > Source0:      
> > https://github.com/validator/htmlparser/archive/RELEASE_%{_version}.tar.gz
> > -bash-4.3$ wget
> > https://github.com/validator/htmlparser/archive/RELEASE_1.4.tar.gz
> > --2015-03-30 05:31:48-- 

your method is wrong. if you read the old spec file can you see the real version of the tarball (1_4)

Comment 9 gil cattaneo 2015-03-30 05:48:34 UTC
should be
grep -E '_version|Source0' srpm/validator-htmlparser.spec

Comment 12 Zbigniew Jędrzejewski-Szmek 2016-10-31 21:12:53 UTC
Antti, will you be finishing this review?

Comment 13 Antti Järvinen 2016-11-01 21:17:21 UTC
Sorry the delay, I made the initial review when I was not in packagers group so I considered my review only informational and then forgot about it. But ok, I can finish this review. I again used automated tool and then made manual checks. To put it short, there are 2 issues, first already mentioned in March:
 - license. 
 - versioning because this looks like a snapshot package.

But apart from that this looks ok to me. See comments below. 

--
Antti

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

-> I mark this now as "fail" because I'd like to get clarification
   about license of files in directories mozilla-export-scripts and ruby-gcj ;
   they seem legit to me but mention nothing about license. Are the files
   part of upstream distribution or where do they come from? 

[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "Unknown or generated", "MIT/X11 (BSD like)",
     "*No copyright* Public domain", "LGPL (v3 or later)", "BSD (3
     clause)", "MPL (v1.1) GPL (unversioned/unknown version)". 35 files
     have unknown license. Detailed output of licensecheck in
     /tmp/bug1202470/1202470-validator-htmlparser/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
 -> Yes, but with questions presented above about the license.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines

 -> There is disagreement about version. If I understood right,
    the released version 1.4 is old and the version packaged here
    is a more recent snapshot from version control. It should
    be versioned as stated in
    https://fedoraproject.org/wiki/Packaging:Versioning#Snapshot_packages
    So "Release:" could became something like
    20161101hg42d7aef60138 that looks ugly but tells both the date
    and the exact commit in mercurial.

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[X]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[p]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     validator-htmlparser-javadoc
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
     Well, build was tried in amd64, there it builds no problem. 
[-]: %check is present and all tests pass.
     Looks like there is no test suite. 
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: validator-htmlparser-1.4-1.fc25.noarch.rpm
          validator-htmlparser-javadoc-1.4-1.fc25.noarch.rpm
          validator-htmlparser-1.4-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
validator-htmlparser-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

validator-htmlparser (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.google.code.javaparser:javaparser)



Provides
--------
validator-htmlparser-javadoc:
    validator-htmlparser-javadoc

validator-htmlparser:
    mvn(nu.validator.htmlparser:htmlparser)
    mvn(nu.validator.htmlparser:htmlparser:pom:)
    mvn(nu.validator.htmlparser:translator)
    mvn(nu.validator.htmlparser:translator:pom:)
    osgi(nu.validator.htmlparser)
    osgi(nu.validator.htmlparser.translator)
    validator-htmlparser



Source checksums
----------------
https://hg.mozilla.org/projects/htmlparser/archive/42d7aef60138.tar.gz :
  CHECKSUM(SHA256) this package     : 56b68aa26ecd5a9cdd17bd8625e8e827f7a809341b6133001a733f929f728df1
  CHECKSUM(SHA256) upstream package : 56b68aa26ecd5a9cdd17bd8625e8e827f7a809341b6133001a733f929f728df1


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1202470
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 gil cattaneo 2016-11-01 21:51:46 UTC
(In reply to Antti Järvinen from comment #13)
> Sorry the delay, I made the initial review when I was not in packagers group
> so I considered my review only informational and then forgot about it. But
> ok, I can finish this review. I again used automated tool and then made
> manual checks. To put it short, there are 2 issues, first already mentioned
> in March:
>  - license. 
>  - versioning because this looks like a snapshot package.
> 
> But apart from that this looks ok to me. See comments below. 
> 
> --
> Antti
> 
> Generic:
> [!]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> 
> -> I mark this now as "fail" because I'd like to get clarification
>    about license of files in directories mozilla-export-scripts and ruby-gcj
> ;
>    they seem legit to me but mention nothing about license. Are the files
>    part of upstream distribution or where do they come from? 
> [X]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Public domain", "Unknown or generated", "MIT/X11 (BSD like)",
>      "*No copyright* Public domain", "LGPL (v3 or later)", "BSD (3
>      clause)", "MPL (v1.1) GPL (unversioned/unknown version)". 35 files
>      have unknown license. Detailed output of licensecheck in
>      /tmp/bug1202470/1202470-validator-htmlparser/licensecheck.txt
> [X]: Sources contain only permissible code or content.
>  -> Yes, but with questions presented above about the license.

Not used and i never want use that crap!

> [!]: Package complies to the Packaging Guidelines
> 
>  -> There is disagreement about version. If I understood right,
>     the released version 1.4 is old and the version packaged here
>     is a more recent snapshot from version control. It should
>     be versioned as stated in
>     https://fedoraproject.org/wiki/Packaging:Versioning#Snapshot_packages
>     So "Release:" could became something like
>     20161101hg42d7aef60138 that looks ugly but tells both the date
>     and the exact commit in mercurial.

No thanks! changeset726	42d7aef60138 corrispond to 1.4 release. And i dont want change nothing for that field

Comment 15 Antti Järvinen 2016-11-01 22:14:50 UTC
Well, 

upstream source code anyway gets distributed in source rpm was it used in resulting binary rpm or not - it too needs to comply with the license. Anyway, those files I was querying about are part of upstream package and they distribute LICENSE.txt mentioning mozilla foundation ; lets trust the upstream. 

If the hg commit 42d7aef60138 really is 1.4 then the versioning is all right. I still don't get it why Source0: points to commit and not to release 1.4 - never used mercurial myself so there must be something about download URLs that I'm missing. 

-> I'm setting this as "pass", thank you for submitting software for review. 

--
Antti

Comment 16 gil cattaneo 2016-11-01 22:51:57 UTC
Thanks for the review!

create new SCM request/s:
https://admin.fedoraproject.org/pkgdb/package/requests/8536
https://admin.fedoraproject.org/pkgdb/package/requests/8537

Comment 17 Fedora Update System 2016-11-03 13:58:54 UTC
validator-htmlparser-1.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52797ac124

Comment 18 Fedora Update System 2016-11-05 18:58:31 UTC
validator-htmlparser-1.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52797ac124

Comment 19 Fedora Update System 2016-11-19 21:09:52 UTC
validator-htmlparser-1.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.